%define upstream_name SQL-QueryMaker
%define upstream_version 0.03

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 11

Summary:	Helper functions for SQL query generation
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/SQL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(inc::Module::Install)
BuildRequires:	perl(Test::Requires)

BuildArch:	noarch

%description
This module concentrates on providing an expressive, concise way to
declare SQL expressions by exporting carefully-designed functions. It is
possible to use the module to generate SQL query conditions and pass
them as arguments to other more versatile query builders such as
SQL::Maker.

The functions exported by the module instantiate comparator objects that
build SQL expressions when their "as_sql" method are being invoked.
There are two ways to specify the names of the columns to the
comparator; to pass in the names as argument or to specify then as an
argument to the "as_sql" method.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.30.0-11.mga10
+ Revision: 2204535
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.30.0-10.mga9
+ Revision: 1810176
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-9.mga8
+ Revision: 1506162
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.30.0-8.mga7
+ Revision: 1285968
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.30.0-7.mga7
+ Revision: 1166606
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.30.0-6.mga7
+ Revision: 1160367
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-5.mga6
+ Revision: 1033331
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.30.0-4.mga6
+ Revision: 940869
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-3.mga5
+ Revision: 744798
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-2.mga5
+ Revision: 686143
- Mageia 5 Mass Rebuild

* Fri Aug 01 2014 sander85 <sander85> 0.30.0-1.mga5
+ Revision: 659086
- update to 0.03

* Mon Jun 16 2014 sander85 <sander85> 0.20.0-1.mga5
+ Revision: 637640
- update to 0.02

* Wed Jun 04 2014 sander85 <sander85> 0.10.0-1.mga5
+ Revision: 633017
- imported package perl-SQL-QueryMaker

